Questa pagina non è ancora tradotta in italiano: qui la trovi in inglese.
MentorSseEndpoint.ChatRequest record
The MentorSseEndpoint.ChatRequest record of Novior.MentorAgent.Server.Endpoints: Request body of POST /mentor/chat.
On this page
Request body of POST /mentor/chat.
Definition
Section titled “Definition”Namespace: Novior.MentorAgent.Server.Endpoints. Package: Novior.MentorAgent.Server.
public sealed record MentorSseEndpoint.ChatRequest : IEquatable<MentorSseEndpoint.ChatRequest>
dotnet add package Novior.MentorAgent.ServerConstructors
Section titled “Constructors”public ChatRequest(string Message, IReadOnlyList<MentorAttachment>? Attachments = null)
Request body of POST /mentor/chat.
Properties
Section titled “Properties”Attachments
Section titled “Attachments”public IReadOnlyList<MentorAttachment>? Attachments { get; init; }
Language
Section titled “Language”public string? Language { get; init; }
The language of the turn: the name ("Italian") or the ISO code ("it") of a MentorLanguage, in any case. Anything else, or none, is MentorOptions.Language.
Message
Section titled “Message”public string Message { get; init; }
